# Preprocessor example

To run each example, execute the shell script (`run_XXX.sh`) in the respective folder.

For simplicity and convenience, the resulting exposure database in the `import` folder is used as the input for the export example. This way, one can compare how an input exposure model in CSV format can turn into an extended exposure model (again in CSV format), using the `import` and then `export` commands provided by `preprocessor.py`.

The resulting files created by either the `import` or `export` commands are named `reference_exposure_import_result.db` and 
`reference_exposure_export_result.csv` respectively, and can be found in the relevant command folder.

For more information on the definition and use of `preprocesor.py` and both its commands (`import` and `export`), please read the [manual.md](../../docs/manual.md).
